// -*- coding: utf-8 -*-

/*
 * Copyright (c) 2017-2019 XMLmind Software. All rights reserved.
 *
 * This file is part of the XMLmind Web Help Compiler project.
 * For conditions of distribution and use, see the accompanying LEGAL.txt file.
 */

// ---------------------------------------------------------------------------
// All the messages used by the Web Help UI
//
// How to add a new language below is pretty easy to guess.
// ---------------------------------------------------------------------------

var messages = [
    "Contents",
    "Index",
    "Search",
    "Collapse All",
    "Expand All",
    "Previous Page",
    "Next Page",
    "Print Page",
    "Toggle search result highlighting",
    "No results found for %W%.",
    "1 result found for %W%.",
    "%N% results found for %W%.",
    "Stop searching",
    "Open navigation pane",
    "Close navigation pane",
    "term",
    "word",
    "Go",
    "See",
    "See also"    
];

var messageTranslations = {

"de": [
    "Inhalt",
    "Index",
    "Suchen",
    "Alle ausblenden",
    "Alle einblenden",
    "Vorherige Seite",
    "Nächste Seite",
    "Print Page",
    "Hervorhebung von Suchergebnissen ein-/ausschalten",
    "Keine Ergebnisse für %W% gefunden.",
    "1 Ergebnis für %W% gefunden.",
    "%N% Ergebnisse für %W% gefunden.",
    "Stop searching",
    "Open navigation pane",
    "Close navigation pane",
    "term",
    "word",
    "Go",
    "Siehe",
    "Siehe auch"
],

"es": [
    "Contenido",
    "Índice",
    "Buscar",
    "Contraer todo",
    "Expandir todo",
    "Página anterior",
    "Página siguiente",
    "Print Page",
    "Alternar el resaltado de los resultados de la búsqueda",
    "No se ha encontrado ningún resultado para %W%.",
    "Se ha encontrado un resultado para %W%.",
    "Se han encontrado %N% resultados para %W%.",
    "Stop searching",
    "Open navigation pane",
    "Close navigation pane",
    "term",
    "word",
    "Go",
    "Ver",
    "Ver también"
],

"fr": [
    "Sommaire",
    "Index",
    "Rechercher",
    "Replier Tout",
    "Déplier Tout",
    "Page Précédente",
    "Page Suivante",
    "Imprimer Page",
    "Basculer la mise en surbrillance",
    "Aucun résultat trouvé pour %W%.",
    "1 résultat trouvé pour %W%.",
    "%N% résultats trouvés pour %W%.",
    "Arrêter de rechercher",
    "Ouvrir le panneau de navigation",
    "Fermer le panneau de navigation",
    "terme",
    "mot",
    "Atteindre",
    "Voir",
    "Voir aussi"
],

"it": [
    "Sommario",
    "Indice",
    "Ricerca",
    "Comprimi tutto",
    "Espandi tutto",
    "Pagina precedente",
    "Pagina successiva",
    "Print Page",
    "Attiva/Disattiva evidenziazione risultati ricerca",
    "Nessun risultato trovato per %W%.",
    "1 risultato trovato per %W%.",
    "%N% risultati trovati per %W%.",
    "Stop searching",
    "Open navigation pane",
    "Close navigation pane",
    "term",
    "word",
    "Go",
    "Vedere",
    "Vedere anche"
],

"ja": [
    "目次",
    "索引",
    "検索",
    "すべて折りたたむ",
    "すべて展開",
    "前のページ",
    "次のページ",
    "Print Page",
    "検索キーワードをハイライト表示",
    "%W% の検索結果は見つかりませんでした。",
    "%W% の検索結果が 1 件見つかりました。",
    "%W% の検索結果が%N% 件見つかりました。%N%",
    "Stop searching",
    "Open navigation pane",
    "Close navigation pane",
    "term",
    "word",
    "Go",
    "参照：",
    "その他参照："
],

"pl": [
    "Spis treści",
    "Indeks",
    "Wyszukaj",
    "Zwiń wszystko",
    "Rozwiń wszystko",
    "Poprzednia strona",
    "Następna strona",
    "Print Page",
    "Przełącz wyróżnianie wyników wyszukiwania",
    "Brak wyników dla %W%.",
    "Znaleziono 1 wynik dla %W%.",
    "Znaleziono następującą liczbę wyników dla %W%: %N%",
    "Stop searching",
    "Open navigation pane",
    "Close navigation pane",
    "term",
    "word",
    "Go",
    "Zobacz",
    "Zobacz również"
],

"ru": [
    "Содержание",
    "Указатель",
    "Поиск",
    "Свернуть все",
    "Развернуть все",
    "Предыдущая",
    "Следующая",
    "Print Page",
    "Выделение результатов поиска",
    "Ничего не найдено по запросу \"%W%\".",
    "Найдено результатов по запросу \"%W%\": 1.",
    "Найдено результатов по запросу \"%W%\": %N%.",
    "Stop searching",
    "Open navigation pane",
    "Close navigation pane",
    "term",
    "word",
    "Go",
    "См.",
    "См. также"
],

"zh-cn": [
    "目录",
    "索引",
    "搜索",
    "全部折叠",
    "全部展开",
    "上一页",
    "下一页",
    "Print Page",
    "切换搜索结果高亮",
    "未找到有关 %W% 的结果。",
    "找到 1 条有关 %W% 的结果。",
    "找到 %N% 条有关 %W% 的结果。",
    "Stop searching",
    "Open navigation pane",
    "Close navigation pane",
    "term",
    "word",
    "Go",
    "See",
    "See also"
],

"zh-tw": [
    "目錄",
    "索引",
    "搜尋",
    "收合全部",
    "展開全部",
    "上一頁",
    "下一頁",
    "Print Page",
    "反白顯示切換搜尋結果",
    "找不到 %W% 的結果。",
    "找到 １ 個 %W% 的結果。",
    "找到 %N% 個 %W% 的結果。",
    "Stop searching",
    "Open navigation pane",
    "Close navigation pane",
    "term",
    "word",
    "Go",
    "See",
    "See also"
]

};

