<?xml version="1.0" encoding="UTF-8"?>
<?xml-model href="urn:oasis:names:tc:dita:rng:vocabularyModuleDesc.rng"
                         schematypens="http://relaxng.org/ns/structure/1.0"?>
<grammar xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0" xmlns:dita="http://dita.oasis-open.org/architecture/2005/" xmlns="http://relaxng.org/ns/structure/1.0"
  datatypeLibrary="http://www.w3.org/2001/XMLSchema-datatypes">
  <moduleDesc xmlns="http://dita.oasis-open.org/architecture/2005/">
    <moduleTitle>DITA Bookmap</moduleTitle>
    <headerComment><![CDATA[
=============================================================
                   HEADER                                    
=============================================================
 MODULE:    DITA Bookmap                                     
 VERSION:   1.2                                              
 DATE:      November 2009                                    
                                                             
=============================================================

=============================================================
                   PUBLIC DOCUMENT TYPE DEFINITION           
                   TYPICAL INVOCATION                        
                                                             
 Refer to this file by the following public identifier or an 
      appropriate system identifier 
PUBLIC "-//OASIS//ELEMENTS DITA BookMap//EN" 
      Delivered as file "bookmap.mod"                             

=============================================================
SYSTEM:     Darwin Information Typing Architecture (DITA)    
                                                             
PURPOSE:    Define elements and specialization atttributes   
            for Book Maps                                    
                                                             
ORIGINAL CREATION DATE:                                      
            March 2004                                       
                                                             
            (C) Copyright OASIS Open 2005, 2009.             
            (C) Copyright IBM Corporation 2004, 2005.        
            All Rights Reserved.                             
 UPDATES:                                                    
   2007.12.01 EK:  Reformatted DTD modules for DITA 1.2       
   2008.01.28 RDA: Removed enumerations for attributes:      
                   publishtype/@value, bookrestriction/@value
   2008.01.28 RDA: Added <metadata> to <bookmeta>            
   2008.01.30 RDA: Replace @conref defn. with %conref-atts;  
   2008.02.01 RDA: Added keys attributes, more keyref attrs  
   2008.02.12 RDA: Add keyword to many data specializations  
   2008.02.12 RDA: Add @format, @scope, and @type to         
                   publisherinformation                      
   2008.02.13 RDA: Create .content and .attributes entities  
   2008.03.17 RDA: Add appendices element                    
=============================================================
]]></headerComment>
    <moduleMetadata>
      <moduleType>map</moduleType>
      <moduleShortName>bookmap</moduleShortName>
      <modulePublicIds>
        <dtdMod>-//OASIS//ELEMENTS DITA<var presep=" " name="ditaver"/> BookMap//EN</dtdMod>
        <dtdEnt>-//OASIS//ENTITIES DITA<var presep=" " name="ditaver"/> BookMap//EN</dtdEnt>
        <xsdGrp>urn:oasis:names:tc:dita:xsd:bookmapGrp.xsd<var presep=":" name="ditaver"/></xsdGrp>
        <xsdMod>urn:oasis:names:tc:dita:xsd:bookmapMod.xsd<var presep=":" name="ditaver"/></xsdMod>
        <rncMod>urn:oasis:names:tc:dita:rnc:bookmapMod.rnc<var presep=":" name="ditaver"/></rncMod>
        <rngMod>urn:oasis:names:tc:dita:rng:bookmapMod.rng<var presep=":" name="ditaver"/></rngMod>
      </modulePublicIds>
      <domainsContribution>(map bookmap)</domainsContribution>
    </moduleMetadata>
  </moduleDesc>
  <div>
    <a:documentation>ELEMENT TYPE NAME PATTERNS</a:documentation>
    <define name="abbrevlist">
      <ref name="abbrevlist.element"/>
    </define>
    <define name="bookabstract">
      <ref name="bookabstract.element"/>
    </define>
    <define name="amendments">
      <ref name="amendments.element"/>
    </define>
    <define name="appendices">
      <ref name="appendices.element"/>
    </define>
    <define name="appendix">
      <ref name="appendix.element"/>
    </define>
    <define name="approved">
      <ref name="approved.element"/>
    </define>
    <define name="backmatter">
      <ref name="backmatter.element"/>
    </define>
    <define name="bibliolist">
      <ref name="bibliolist.element"/>
    </define>
    <define name="bookchangehistory">
      <ref name="bookchangehistory.element"/>
    </define>
    <define name="bookevent">
      <ref name="bookevent.element"/>
    </define>
    <define name="bookeventtype">
      <ref name="bookeventtype.element"/>
    </define>
    <define name="bookid">
      <ref name="bookid.element"/>
    </define>
    <define name="booklibrary">
      <ref name="booklibrary.element"/>
    </define>
    <define name="booklist">
      <ref name="booklist.element"/>
    </define>
    <define name="booklists">
      <ref name="booklists.element"/>
    </define>
    <define name="bookmeta">
      <ref name="bookmeta.element"/>
    </define>
    <define name="booknumber">
      <ref name="booknumber.element"/>
    </define>
    <define name="bookowner">
      <ref name="bookowner.element"/>
    </define>
    <define name="bookpartno">
      <ref name="bookpartno.element"/>
    </define>
    <define name="bookrestriction">
      <ref name="bookrestriction.element"/>
    </define>
    <define name="bookrights">
      <ref name="bookrights.element"/>
    </define>
    <define name="booktitle">
      <ref name="booktitle.element"/>
    </define>
    <define name="booktitlealt">
      <ref name="booktitlealt.element"/>
    </define>
    <define name="chapter">
      <ref name="chapter.element"/>
    </define>
    <define name="colophon">
      <ref name="colophon.element"/>
    </define>
    <define name="completed">
      <ref name="completed.element"/>
    </define>
    <define name="copyrfirst">
      <ref name="copyrfirst.element"/>
    </define>
    <define name="copyrlast">
      <ref name="copyrlast.element"/>
    </define>
    <define name="day">
      <ref name="day.element"/>
    </define>
    <define name="dedication">
      <ref name="dedication.element"/>
    </define>
    <define name="draftintro">
      <ref name="draftintro.element"/>
    </define>
    <define name="edited">
      <ref name="edited.element"/>
    </define>
    <define name="edition">
      <ref name="edition.element"/>
    </define>
    <define name="figurelist">
      <ref name="figurelist.element"/>
    </define>
    <define name="frontmatter">
      <ref name="frontmatter.element"/>
    </define>
    <define name="glossarylist">
      <ref name="glossarylist.element"/>
    </define>
    <define name="indexlist">
      <ref name="indexlist.element"/>
    </define>
    <define name="isbn">
      <ref name="isbn.element"/>
    </define>
    <define name="mainbooktitle">
      <ref name="mainbooktitle.element"/>
    </define>
    <define name="maintainer">
      <ref name="maintainer.element"/>
    </define>
    <define name="month">
      <ref name="month.element"/>
    </define>
    <define name="notices">
      <ref name="notices.element"/>
    </define>
    <define name="organization">
      <ref name="organization.element"/>
    </define>
    <define name="part">
      <ref name="part.element"/>
    </define>
    <define name="person">
      <ref name="person.element"/>
    </define>
    <define name="preface">
      <ref name="preface.element"/>
    </define>
    <define name="printlocation">
      <ref name="printlocation.element"/>
    </define>
    <define name="published">
      <ref name="published.element"/>
    </define>
    <define name="publisherinformation">
      <ref name="publisherinformation.element"/>
    </define>
    <define name="publishtype">
      <ref name="publishtype.element"/>
    </define>
    <define name="reviewed">
      <ref name="reviewed.element"/>
    </define>
    <define name="revisionid">
      <ref name="revisionid.element"/>
    </define>
    <define name="started">
      <ref name="started.element"/>
    </define>
    <define name="summary">
      <ref name="summary.element"/>
    </define>
    <define name="tablelist">
      <ref name="tablelist.element"/>
    </define>
    <define name="tested">
      <ref name="tested.element"/>
    </define>
    <define name="trademarklist">
      <ref name="trademarklist.element"/>
    </define>
    <define name="toc">
      <ref name="toc.element"/>
    </define>
    <define name="volume">
      <ref name="volume.element"/>
    </define>
    <define name="year">
      <ref name="year.element"/>
    </define>


  </div>
  <div>
    <a:documentation>COMMON ATTRIBUTE SETS</a:documentation>
    <define name="chapter-atts">
      <optional>
        <attribute name="navtitle"/>
      </optional>
      <optional>
        <attribute name="href"/>
      </optional>
      <optional>
        <attribute name="keyref"/>
      </optional>
      <optional>
        <attribute name="keys"/>
      </optional>
      <optional>
        <attribute name="copy-to"/>
      </optional>
      <optional>
        <attribute name="outputclass"/>
      </optional>
      <ref name="topicref-atts"/>
      <ref name="univ-atts"/>
    </define>

  </div>
  <div>
    <a:documentation>ELEMENT TYPE PATTERNS</a:documentation>

    <div>
      <a:documentation>LONG NAME: Book Map</a:documentation>
      <define name="bookmap.content">
        <optional>
          <choice>
            <ref name="title"/>
            <ref name="booktitle"/>
          </choice>
        </optional>
        <optional>
          <ref name="bookmeta"/>
        </optional>
        <optional>
          <ref name="frontmatter"/>
        </optional>
        <zeroOrMore>
          <ref name="chapter"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="part"/>
        </zeroOrMore>
        <choice>
          <optional>
            <ref name="appendices"/>
          </optional>
          <zeroOrMore>
            <ref name="appendix"/>
          </zeroOrMore>
        </choice>
        <optional>
          <ref name="backmatter"/>
        </optional>
        <zeroOrMore>
          <ref name="reltable"/>
        </zeroOrMore>
      </define>
      <define name="bookmap.attributes">
        <optional>
          <attribute name="id">
            <data type="ID"/>
          </attribute>
        </optional>
        <ref name="conref-atts"/>
        <optional>
          <attribute name="anchorref"/>
        </optional>
        <optional>
          <attribute name="outputclass"/>
        </optional>
        <ref name="localization-atts"/>
        <ref name="topicref-atts"/>
        <ref name="select-atts"/>
      </define>
      <define name="bookmap.element">
        <element name="bookmap" dita:longName="Book Map">
          <a:documentation>The &lt;bookmap> element is a map file used to organize DITA content into a traditional book format. Category: Bookmap elements</a:documentation>
          <ref name="bookmap.attlist"/>
          <ref name="bookmap.content"/>
        </element>
      </define>
      <define name="bookmap.attlist" combine="interleave">
        <ref name="bookmap.attributes"/>
        <ref name="arch-atts"/>
        <ref name="domains-att"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Book Metadata</a:documentation>
      <define name="bookmeta.content">
        <optional>
          <ref name="linktext"/>
        </optional>
        <optional>
          <ref name="searchtitle"/>
        </optional>
        <optional>
          <ref name="shortdesc"/>
        </optional>
        <zeroOrMore>
          <ref name="author"/>
        </zeroOrMore>
        <optional>
          <ref name="source"/>
        </optional>
        <zeroOrMore>
          <ref name="publisherinformation"/>
        </zeroOrMore>
        <optional>
          <ref name="critdates"/>
        </optional>
        <optional>
          <ref name="permissions"/>
        </optional>
        <zeroOrMore>
          <ref name="metadata"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="audience"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="category"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="keywords"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="prodinfo"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="othermeta"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="resourceid"/>
        </zeroOrMore>
        <zeroOrMore dita:since="1.3">
          <ref name="ux-window"/>
        </zeroOrMore>
        <optional>
          <ref name="bookid"/>
        </optional>
        <zeroOrMore>
          <ref name="bookchangehistory"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="bookrights"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="data"/>
        </zeroOrMore>
      </define>
      <define name="bookmeta.attributes">
        <optional>
          <attribute name="lockmeta">
            <choice>
              <value>no</value>
              <value>yes</value>
              <value>-dita-use-conref-target</value>
            </choice>
          </attribute>
        </optional>
        <ref name="univ-atts"/>
      </define>
      <define name="bookmeta.element">
        <element name="bookmeta" dita:longName="Book Metadata">
          <a:documentation>The &lt;bookmeta> element contains information about the book that is not considered book content, such as copyright information, author information, and any
            classifications. Category: Bookmap elements</a:documentation>
          <ref name="bookmeta.attlist"/>
          <ref name="bookmeta.content"/>
        </element>
      </define>
      <define name="bookmeta.attlist" combine="interleave">
        <ref name="bookmeta.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Front Matter</a:documentation>
      <define name="frontmatter.content">
        <zeroOrMore>
          <choice>
            <ref name="bookabstract"/>
            <ref name="booklists"/>
            <ref name="colophon"/>
            <ref name="dedication"/>
            <ref name="draftintro"/>
            <ref name="notices"/>
            <ref name="preface"/>
            <ref name="topicref"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="frontmatter.attributes">
        <optional>
          <attribute name="keyref"/>
        </optional>
        <optional>
          <attribute name="query"/>
        </optional>
        <optional>
          <attribute name="outputclass"/>
        </optional>
        <ref name="topicref-atts"/>
        <ref name="univ-atts"/>
      </define>
      <define name="frontmatter.element">
        <element name="frontmatter" dita:longName="Front Matter">
          <a:documentation>The &lt;frontmatter> element contains the material that precedes the main body of a document. It may include items such as an abstract, a preface, and various types of book
            lists such as a &lt;toc>, &lt;tablelist>, or &lt;figurelist>. Category: Bookmap elements</a:documentation>
          <ref name="frontmatter.attlist"/>
          <ref name="frontmatter.content"/>
        </element>
      </define>
      <define name="frontmatter.attlist" combine="interleave">
        <ref name="frontmatter.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Back Matter</a:documentation>
      <define name="backmatter.content">
        <zeroOrMore>
          <choice>
            <ref name="amendments"/>
            <ref name="booklists"/>
            <ref name="colophon"/>
            <ref name="dedication"/>
            <ref name="notices"/>
            <ref name="topicref"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="backmatter.attributes">
        <optional>
          <attribute name="keyref"/>
        </optional>
        <optional>
          <attribute name="query"/>
        </optional>
        <optional>
          <attribute name="outputclass"/>
        </optional>
        <ref name="topicref-atts"/>
        <ref name="univ-atts"/>
      </define>
      <define name="backmatter.element">
        <element name="backmatter" dita:longName="Back Matter">
          <a:documentation>The &lt;backmatter> element contains the material that follows the main body of a document and any appendixes. It may include items such as a colophon, legal notices, and
            various types of book lists such as a glossary or an index. Category: Bookmap elements</a:documentation>
          <ref name="backmatter.attlist"/>
          <ref name="backmatter.content"/>
        </element>
      </define>
      <define name="backmatter.attlist" combine="interleave">
        <ref name="backmatter.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Publisher Information</a:documentation>
      <define name="publisherinformation.content">
        <zeroOrMore>
          <choice>
            <ref name="person"/>
            <ref name="organization"/>
          </choice>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="printlocation"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="published"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="data"/>
        </zeroOrMore>
      </define>
      <define name="publisherinformation.attributes">
        <optional>
          <attribute name="href"/>
        </optional>
        <optional>
          <attribute name="format"/>
        </optional>
        <optional>
          <attribute name="type"/>
        </optional>
        <optional>
          <attribute name="scope">
            <choice>
              <value>external</value>
              <value>local</value>
              <value>peer</value>
              <value>-dita-use-conref-target</value>
            </choice>
          </attribute>
        </optional>
        <optional>
          <attribute name="keyref"/>
        </optional>
        <ref name="univ-atts"/>
      </define>
      <define name="publisherinformation.element">
        <element name="publisherinformation" dita:longName="Publisher Information">
          <a:documentation>The &lt;publisherinformation> contains information about what group or person published the book, where it was published, and certain details about its publication history.
            Other publication history information is found in the &lt;bookchangehistory> element. Category: Bookmap elements</a:documentation>
          <ref name="publisherinformation.attlist"/>
          <ref name="publisherinformation.content"/>
        </element>
      </define>
      <define name="publisherinformation.attlist" combine="interleave">
        <ref name="publisherinformation.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Person</a:documentation>
      <define name="person.content">
        <zeroOrMore>
          <ref name="words.cnt"/>
        </zeroOrMore>
      </define>
      <define name="person.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="person.element">
        <element name="person" dita:longName="Person">
          <a:documentation>The &lt;person> element contains information about the name of a person. Note that unlike the &lt;personname> element, the &lt;person> element is not restricted to
            describing the names of authors. Category: Bookmap elements</a:documentation>
          <ref name="person.attlist"/>
          <ref name="person.content"/>
        </element>
      </define>
      <define name="person.attlist" combine="interleave">
        <ref name="person.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Organization</a:documentation>
      <define name="organization.content">
        <zeroOrMore>
          <ref name="words.cnt"/>
        </zeroOrMore>
      </define>
      <define name="organization.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="organization.element">
        <element name="organization" dita:longName="Organization">
          <a:documentation>The &lt;organization> element contains the name of an organization. Note that unlike &lt;organizationname>, the &lt;organization> element is not restricted to usage within
            &lt;authorinformation>; it does not have to contain the name of an authoring organization. Category: Bookmap elements</a:documentation>
          <ref name="organization.attlist"/>
          <ref name="organization.content"/>
        </element>
      </define>
      <define name="organization.attlist" combine="interleave">
        <ref name="organization.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Book Change History</a:documentation>
      <define name="bookchangehistory.content">
        <zeroOrMore>
          <ref name="reviewed"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="edited"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="tested"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="approved"/>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="bookevent"/>
        </zeroOrMore>
      </define>
      <define name="bookchangehistory.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="bookchangehistory.element">
        <element name="bookchangehistory" dita:longName="Book Change History">
          <a:documentation>The &lt;bookchangehistory> element contains information about the history of the book's creation and publishing lifecycle, who wrote, reviewed, edited, and tested the book,
            and when these events took place. Category: Bookmap elements</a:documentation>
          <ref name="bookchangehistory.attlist"/>
          <ref name="bookchangehistory.content"/>
        </element>
      </define>
      <define name="bookchangehistory.attlist" combine="interleave">
        <ref name="bookchangehistory.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Book ID</a:documentation>
      <define name="bookid.content">
        <zeroOrMore>
          <ref name="bookpartno"/>
        </zeroOrMore>
        <optional>
          <ref name="edition"/>
        </optional>
        <optional>
          <ref name="isbn"/>
        </optional>
        <optional>
          <ref name="booknumber"/>
        </optional>
        <zeroOrMore>
          <ref name="volume"/>
        </zeroOrMore>
        <optional>
          <ref name="maintainer"/>
        </optional>
      </define>
      <define name="bookid.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="bookid.element">
        <element name="bookid" dita:longName="Book ID">
          <a:documentation>The &lt;bookid> element contains the publisher's identification information for the book, such as part number, edition number and ISBN number. Category: Bookmap
            elements</a:documentation>
          <ref name="bookid.attlist"/>
          <ref name="bookid.content"/>
        </element>
      </define>
      <define name="bookid.attlist" combine="interleave">
        <ref name="bookid.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Summary</a:documentation>
      <define name="summary.content">
        <zeroOrMore>
          <ref name="words.cnt"/>
        </zeroOrMore>
      </define>
      <define name="summary.attributes">
        <optional>
          <attribute name="keyref"/>
        </optional>
        <ref name="univ-atts"/>
        <optional>
          <attribute name="outputclass"/>
        </optional>
      </define>
      <define name="summary.element">
        <element name="summary" dita:longName="Summary">
          <a:documentation>The &lt;summary> element contains a text summary associated with a book event (such as &lt;approved> or &lt;reviewed>) or with the list of copyrights for the book. Category:
            Bookmap elements</a:documentation>
          <ref name="summary.attlist"/>
          <ref name="summary.content"/>
        </element>
      </define>
      <define name="summary.attlist" combine="interleave">
        <ref name="summary.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Print Location</a:documentation>
      <define name="printlocation.content">
        <zeroOrMore>
          <ref name="words.cnt"/>
        </zeroOrMore>
      </define>
      <define name="printlocation.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="printlocation.element">
        <element name="printlocation" dita:longName="Print Location">
          <a:documentation>The &lt;printlocation> element indicates the location where the book was printed. Customarily, the content is restricted to the name of the country. Category: Bookmap
            elements</a:documentation>
          <ref name="printlocation.attlist"/>
          <ref name="printlocation.content"/>
        </element>
      </define>
      <define name="printlocation.attlist" combine="interleave">
        <ref name="printlocation.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Published</a:documentation>
      <define name="published.content">
        <zeroOrMore>
          <choice>
            <ref name="person"/>
            <ref name="organization"/>
          </choice>
        </zeroOrMore>
        <optional>
          <ref name="publishtype"/>
        </optional>
        <optional>
          <ref name="revisionid"/>
        </optional>
        <optional>
          <ref name="started"/>
        </optional>
        <optional>
          <ref name="completed"/>
        </optional>
        <optional>
          <ref name="summary"/>
        </optional>
        <zeroOrMore>
          <ref name="data"/>
        </zeroOrMore>
      </define>
      <define name="published.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="published.element">
        <element name="published" dita:longName="Published">
          <a:documentation>The &lt;published> element contains information about the person or organization publishing the book, the dates when it was started and completed, and any special
            restrictions associated with it. Category: Bookmap elements</a:documentation>
          <ref name="published.attlist"/>
          <ref name="published.content"/>
        </element>
      </define>
      <define name="published.attlist" combine="interleave">
        <ref name="published.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Publish Type</a:documentation>
      <define name="publishtype.content">
        <empty/>
      </define>
      <define name="publishtype.attributes">
        <ref name="univ-atts"/>
        <optional>
          <attribute name="name"/>
        </optional>
        <optional>
          <attribute name="datatype"/>
        </optional>
        <optional>
          <attribute name="href"/>
        </optional>
        <optional>
          <attribute name="keyref"/>
        </optional>
        <optional>
          <attribute name="format"/>
        </optional>
        <optional>
          <attribute name="type"/>
        </optional>
        <optional>
          <attribute name="scope">
            <choice>
              <value>external</value>
              <value>local</value>
              <value>peer</value>
              <value>-dita-use-conref-target</value>
            </choice>
          </attribute>
        </optional>
        <optional>
          <attribute name="outputclass"/>
        </optional>
        <attribute name="value"/>
      </define>
      <define name="publishtype.element">
        <element name="publishtype" dita:longName="Publish Type">
          <a:documentation>The &lt;publishtype> element indicates whether the book is generally available or is restricted in some way. The value attribute indicates the restrictions. Category:
            Bookmap elements</a:documentation>
          <ref name="publishtype.attlist"/>
          <ref name="publishtype.content"/>
        </element>
      </define>
      <define name="publishtype.attlist" combine="interleave">
        <ref name="publishtype.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Revision ID</a:documentation>
      <define name="revisionid.content">
        <zeroOrMore>
          <choice>
            <text/>
            <ref name="keyword"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="revisionid.attributes">
        <optional>
          <attribute name="keyref"/>
        </optional>
        <ref name="univ-atts"/>
        <optional>
          <attribute name="outputclass"/>
        </optional>
      </define>
      <define name="revisionid.element">
        <element name="revisionid" dita:longName="Revision ID">
          <a:documentation>The &lt;revisionid> element indicates the revision number or revision ID of the book. The processing implementation determines how the level is displayed. Common methods
            include using a dash, for example "-01". or a period, such as ".01". Category: Bookmap elements</a:documentation>
          <ref name="revisionid.attlist"/>
          <ref name="revisionid.content"/>
        </element>
      </define>
      <define name="revisionid.attlist" combine="interleave">
        <ref name="revisionid.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Start Date</a:documentation>
      <define name="started.content">
        <choice>
          <group>
            <group>
              <ref name="year"/>
            </group>
            <optional>
              <group>
                <ref name="month"/>
              </group>
              <optional>
                <group>
                  <ref name="day"/>
                </group>
              </optional>
            </optional>
          </group>
          <group>
            <group>
              <ref name="month"/>
            </group>
            <optional>
              <group>
                <ref name="day"/>
              </group>
            </optional>
            <group>
              <ref name="year"/>
            </group>
          </group>
          <group>
            <ref name="day"/>
            <ref name="month"/>
            <ref name="year"/>
          </group>
        </choice>
      </define>
      <define name="started.attributes">
        <optional>
          <attribute name="keyref"/>
        </optional>
        <ref name="univ-atts"/>
        <optional>
          <attribute name="outputclass"/>
        </optional>
      </define>
      <define name="started.element">
        <element name="started" dita:longName="Start Date">
          <a:documentation>The &lt;started> element indicates a start date for some type of book event, such as a review, editing, or testing. Category: Bookmap elements</a:documentation>
          <ref name="started.attlist"/>
          <ref name="started.content"/>
        </element>
      </define>
      <define name="started.attlist" combine="interleave">
        <ref name="started.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Completion Date</a:documentation>
      <define name="completed.content">
        <choice>
          <group>
            <ref name="year"/>
            <optional>
              <ref name="month"/>
              <optional>
                <ref name="day"/>
              </optional>
            </optional>
          </group>
          <group>
            <ref name="month"/>
            <optional>
              <ref name="day"/>
            </optional>
            <ref name="year"/>
          </group>
          <group>
            <ref name="day"/>
            <ref name="month"/>
            <ref name="year"/>
          </group>
        </choice>
      </define>
      <define name="completed.attributes">
        <optional>
          <attribute name="keyref"/>
        </optional>
        <ref name="univ-atts"/>
        <optional>
          <attribute name="outputclass"/>
        </optional>
      </define>
      <define name="completed.element">
        <element name="completed" dita:longName="Completion Date">
          <a:documentation>The &lt;completed> element indicates a completion date for some type of book event, such as a review, editing, or testing. Category: Bookmap elements</a:documentation>
          <ref name="completed.attlist"/>
          <ref name="completed.content"/>
        </element>
      </define>
      <define name="completed.attlist" combine="interleave">
        <ref name="completed.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Year</a:documentation>
      <define name="year.content">
        <zeroOrMore>
          <choice>
            <text/>
            <ref name="keyword"/>
            <ref name="text" dita:since="1.3"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="year.attributes">
        <optional>
          <attribute name="keyref"/>
        </optional>
        <ref name="univ-atts"/>
        <optional>
          <attribute name="outputclass"/>
        </optional>
      </define>
      <define name="year.element">
        <element name="year" dita:longName="Year">
          <a:documentation>The &lt;year> element denotes a year. Category: Bookmap elements</a:documentation>
          <ref name="year.attlist"/>
          <ref name="year.content"/>
        </element>
      </define>
      <define name="year.attlist" combine="interleave">
        <ref name="year.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Month</a:documentation>
      <define name="month.content">
        <zeroOrMore>
          <choice>
            <text/>
            <ref name="keyword"/>
            <ref name="text" dita:since="1.3"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="month.attributes">
        <optional>
          <attribute name="keyref"/>
        </optional>
        <ref name="univ-atts"/>
        <optional>
          <attribute name="outputclass"/>
        </optional>
      </define>
      <define name="month.element">
        <element name="month" dita:longName="Month">
          <a:documentation>The &lt;month> element denotes a month of the year. Category: Bookmap elements</a:documentation>
          <ref name="month.attlist"/>
          <ref name="month.content"/>
        </element>
      </define>
      <define name="month.attlist" combine="interleave">
        <ref name="month.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Day</a:documentation>
      <define name="day.content">
        <zeroOrMore>
          <choice>
            <text/>
            <ref name="keyword"/>
            <ref name="text" dita:since="1.3"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="day.attributes">
        <optional>
          <attribute name="keyref"/>
        </optional>
        <ref name="univ-atts"/>
        <optional>
          <attribute name="outputclass"/>
        </optional>
      </define>
      <define name="day.element">
        <element name="day" dita:longName="Day">
          <a:documentation>The &lt;day> element denotes a day of the month. Category: Bookmap elements</a:documentation>
          <ref name="day.attlist"/>
          <ref name="day.content"/>
        </element>
      </define>
      <define name="day.attlist" combine="interleave">
        <ref name="day.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Reviewed</a:documentation>
      <define name="reviewed.content">
        <zeroOrMore>
          <choice>
            <ref name="organization"/>
            <ref name="person"/>
          </choice>
        </zeroOrMore>
        <optional>
          <ref name="revisionid"/>
        </optional>
        <optional>
          <ref name="started"/>
        </optional>
        <optional>
          <ref name="completed"/>
        </optional>
        <optional>
          <ref name="summary"/>
        </optional>
        <zeroOrMore>
          <ref name="data"/>
        </zeroOrMore>
      </define>
      <define name="reviewed.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="reviewed.element">
        <element name="reviewed" dita:longName="Reviewed">
          <a:documentation>The &lt;reviewed> element contains information about when and by whom the book was reviewed during its publication history. Category: Bookmap elements</a:documentation>
          <ref name="reviewed.attlist"/>
          <ref name="reviewed.content"/>
        </element>
      </define>
      <define name="reviewed.attlist" combine="interleave">
        <ref name="reviewed.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Edited</a:documentation>
      <define name="edited.content">
        <zeroOrMore>
          <choice>
            <ref name="organization"/>
            <ref name="person"/>
          </choice>
        </zeroOrMore>
        <optional>
          <ref name="revisionid"/>
        </optional>
        <optional>
          <ref name="started"/>
        </optional>
        <optional>
          <ref name="completed"/>
        </optional>
        <optional>
          <ref name="summary"/>
        </optional>
        <zeroOrMore>
          <ref name="data"/>
        </zeroOrMore>
      </define>
      <define name="edited.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="edited.element">
        <element name="edited" dita:longName="Edited">
          <a:documentation>The &lt;edited> element contains information about when and by whom the book was edited during its publication history. Category: Bookmap elements</a:documentation>
          <ref name="edited.attlist"/>
          <ref name="edited.content"/>
        </element>
      </define>
      <define name="edited.attlist" combine="interleave">
        <ref name="edited.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Tested</a:documentation>
      <define name="tested.content">
        <zeroOrMore>
          <choice>
            <ref name="organization"/>
            <ref name="person"/>
          </choice>
        </zeroOrMore>
        <optional>
          <ref name="revisionid"/>
        </optional>
        <optional>
          <ref name="started"/>
        </optional>
        <optional>
          <ref name="completed"/>
        </optional>
        <optional>
          <ref name="summary"/>
        </optional>
        <zeroOrMore>
          <ref name="data"/>
        </zeroOrMore>
      </define>
      <define name="tested.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="tested.element">
        <element name="tested" dita:longName="Tested">
          <a:documentation>The &lt;tested> element contains information about when and by whom the book was tested during its publication history. Category: Bookmap elements</a:documentation>
          <ref name="tested.attlist"/>
          <ref name="tested.content"/>
        </element>
      </define>
      <define name="tested.attlist" combine="interleave">
        <ref name="tested.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Approved</a:documentation>
      <define name="approved.content">
        <zeroOrMore>
          <choice>
            <ref name="organization"/>
            <ref name="person"/>
          </choice>
        </zeroOrMore>
        <optional>
          <ref name="revisionid"/>
        </optional>
        <optional>
          <ref name="started"/>
        </optional>
        <optional>
          <ref name="completed"/>
        </optional>
        <optional>
          <ref name="summary"/>
        </optional>
        <zeroOrMore>
          <ref name="data"/>
        </zeroOrMore>
      </define>
      <define name="approved.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="approved.element">
        <element name="approved" dita:longName="Approved">
          <a:documentation>The &lt;approved> element contains information about when and by whom the book was approved during its publication history. Category: Bookmap elements</a:documentation>
          <ref name="approved.attlist"/>
          <ref name="approved.content"/>
        </element>
      </define>
      <define name="approved.attlist" combine="interleave">
        <ref name="approved.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Book Event</a:documentation>
      <define name="bookevent.content">
        <optional>
          <ref name="bookeventtype"/>
        </optional>
        <group>
          <zeroOrMore>
            <choice>
              <ref name="organization"/>
              <ref name="person"/>
            </choice>
          </zeroOrMore>
          <optional>
            <ref name="revisionid"/>
          </optional>
          <optional>
            <ref name="started"/>
          </optional>
          <optional>
            <ref name="completed"/>
          </optional>
          <optional>
            <ref name="summary"/>
          </optional>
          <zeroOrMore>
            <ref name="data"/>
          </zeroOrMore>
        </group>
      </define>
      <define name="bookevent.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="bookevent.element">
        <element name="bookevent" dita:longName="Book Event">
          <a:documentation>The &lt;bookevent> element indicates a general event in the publication history of a book. This is an appropriate element for specialization if the current set of specific
            book event types, that is, review, edit, test or approval, does not meed your needs. Category: Bookmap elements</a:documentation>
          <ref name="bookevent.attlist"/>
          <ref name="bookevent.content"/>
        </element>
      </define>
      <define name="bookevent.attlist" combine="interleave">
        <ref name="bookevent.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Book Event Type</a:documentation>
      <define name="bookeventtype.content">
        <empty/>
      </define>
      <define name="bookeventtype.attributes">
        <attribute name="name"/>
        <optional>
          <attribute name="datatype"/>
        </optional>
        <optional>
          <attribute name="value"/>
        </optional>
        <optional>
          <attribute name="href"/>
        </optional>
        <optional>
          <attribute name="keyref"/>
        </optional>
        <optional>
          <attribute name="format"/>
        </optional>
        <optional>
          <attribute name="type"/>
        </optional>
        <optional>
          <attribute name="scope">
            <choice>
              <value>external</value>
              <value>local</value>
              <value>peer</value>
              <value>-dita-use-conref-target</value>
            </choice>
          </attribute>
        </optional>
        <ref name="univ-atts"/>
        <optional>
          <attribute name="outputclass"/>
        </optional>
      </define>
      <define name="bookeventtype.element">
        <element name="bookeventtype" dita:longName="Book Event Type">
          <a:documentation>The &lt;bookeventtype> element indicates the specific nature of a &lt;bookevent>, such as updated, indexed, or deprecated. The required name attribute indicates the event's
            type. Category: Bookmap elements</a:documentation>
          <ref name="bookeventtype.attlist"/>
          <ref name="bookeventtype.content"/>
        </element>
      </define>
      <define name="bookeventtype.attlist" combine="interleave">
        <ref name="bookeventtype.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Book Part Number</a:documentation>
      <define name="bookpartno.content">
        <zeroOrMore>
          <ref name="words.cnt"/>
        </zeroOrMore>
      </define>
      <define name="bookpartno.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="bookpartno.element">
        <element name="bookpartno" dita:longName="Book Part Number">
          <a:documentation>The &lt;bookpartno> element contains the book's part number; such as 99F1234. This is generally the number that the publisher uses to identify the book for tracking
            purposes. Category: Bookmap elements</a:documentation>
          <ref name="bookpartno.attlist"/>
          <ref name="bookpartno.content"/>
        </element>
      </define>
      <define name="bookpartno.attlist" combine="interleave">
        <ref name="bookpartno.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Edition</a:documentation>
      <define name="edition.content">
        <zeroOrMore>
          <choice>
            <text/>
            <ref name="keyword"/>
            <ref name="text" dita:since="1.3"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="edition.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="edition.element">
        <element name="edition" dita:longName="Edition">
          <a:documentation>The &lt;edition> element contains the edition number information, such as First Edition, or Third Edition, used by a publisher to identify a book. Category: Bookmap
            elements</a:documentation>
          <ref name="edition.attlist"/>
          <ref name="edition.content"/>
        </element>
      </define>
      <define name="edition.attlist" combine="interleave">
        <ref name="edition.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: ISBN Number</a:documentation>
      <define name="isbn.content">
        <zeroOrMore>
          <choice>
            <text/>
            <ref name="keyword"/>
            <ref name="text" dita:since="1.3"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="isbn.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="isbn.element">
        <element name="isbn" dita:longName="ISBN Number">
          <a:documentation>The &lt;isbn> element contains the book's International Standard Book Number (ISBN). Category: Bookmap elements</a:documentation>
          <ref name="isbn.attlist"/>
          <ref name="isbn.content"/>
        </element>
      </define>
      <define name="isbn.attlist" combine="interleave">
        <ref name="isbn.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Book Number</a:documentation>
      <define name="booknumber.content">
        <zeroOrMore>
          <ref name="words.cnt"/>
        </zeroOrMore>
      </define>
      <define name="booknumber.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="booknumber.element">
        <element name="booknumber" dita:longName="Book Number">
          <a:documentation>The &lt;booknumber> element contains the book's form number, such as SC21-1920. Category: Bookmap elements</a:documentation>
          <ref name="booknumber.attlist"/>
          <ref name="booknumber.content"/>
        </element>
      </define>
      <define name="booknumber.attlist" combine="interleave">
        <ref name="booknumber.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Volume</a:documentation>
      <define name="volume.content">
        <zeroOrMore>
          <choice>
            <text/>
            <ref name="keyword"/>
            <ref name="text" dita:since="1.3"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="volume.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="volume.element">
        <element name="volume" dita:longName="Volume">
          <a:documentation>The &lt;volume> element contains the book's volume number, such as Volume 2. Category: Bookmap elements</a:documentation>
          <ref name="volume.attlist"/>
          <ref name="volume.content"/>
        </element>
      </define>
      <define name="volume.attlist" combine="interleave">
        <ref name="volume.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Maintainer</a:documentation>
      <define name="maintainer.content">
        <zeroOrMore>
          <choice>
            <ref name="person"/>
            <ref name="organization"/>
          </choice>
        </zeroOrMore>
        <zeroOrMore>
          <ref name="data"/>
        </zeroOrMore>
      </define>
      <define name="maintainer.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="maintainer.element">
        <element name="maintainer" dita:longName="Maintainer">
          <a:documentation>The &lt;maintainer> element contains information about who maiintains the document; this can be an organization or a person. Category: Bookmap elements</a:documentation>
          <ref name="maintainer.attlist"/>
          <ref name="maintainer.content"/>
        </element>
      </define>
      <define name="maintainer.attlist" combine="interleave">
        <ref name="maintainer.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Book Rights</a:documentation>
      <define name="bookrights.content">
        <optional>
          <ref name="copyrfirst"/>
        </optional>
        <optional>
          <ref name="copyrlast"/>
        </optional>
        <ref name="bookowner"/>
        <optional>
          <ref name="bookrestriction"/>
        </optional>
        <optional>
          <ref name="summary"/>
        </optional>
      </define>
      <define name="bookrights.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="bookrights.element">
        <element name="bookrights" dita:longName="Book Rights">
          <a:documentation>The &lt;bookrights> element contains the information about the legal rights associated with the book, including copyright dates and owners. Category: Bookmap
            elements</a:documentation>
          <ref name="bookrights.attlist"/>
          <ref name="bookrights.content"/>
        </element>
      </define>
      <define name="bookrights.attlist" combine="interleave">
        <ref name="bookrights.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: First Copyright</a:documentation>
      <define name="copyrfirst.content">
        <ref name="year"/>
      </define>
      <define name="copyrfirst.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="copyrfirst.element">
        <element name="copyrfirst" dita:longName="First Copyright">
          <a:documentation>The &lt;copyfirst> element contains the first copyright year within a multiyear copyright statement. Category: Bookmap elements</a:documentation>
          <ref name="copyrfirst.attlist"/>
          <ref name="copyrfirst.content"/>
        </element>
      </define>
      <define name="copyrfirst.attlist" combine="interleave">
        <ref name="copyrfirst.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Last Copyright</a:documentation>
      <define name="copyrlast.content">
        <ref name="year"/>
      </define>
      <define name="copyrlast.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="copyrlast.element">
        <element name="copyrlast" dita:longName="Last Copyright">
          <a:documentation>The &lt;copylast> element contains the last copyright year within a multiyear copyright statement. Category: Bookmap elements</a:documentation>
          <ref name="copyrlast.attlist"/>
          <ref name="copyrlast.content"/>
        </element>
      </define>
      <define name="copyrlast.attlist" combine="interleave">
        <ref name="copyrlast.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Book Owner</a:documentation>
      <define name="bookowner.content">
        <zeroOrMore>
          <choice>
            <ref name="organization"/>
            <ref name="person"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="bookowner.attributes">
        <ref name="data-element-atts"/>
      </define>
      <define name="bookowner.element">
        <element name="bookowner" dita:longName="Book Owner">
          <a:documentation>The &lt;bookowner> element contains the owner of the copyright. Category: Bookmap elements</a:documentation>
          <ref name="bookowner.attlist"/>
          <ref name="bookowner.content"/>
        </element>
      </define>
      <define name="bookowner.attlist" combine="interleave">
        <ref name="bookowner.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Book Restriction</a:documentation>
      <define name="bookrestriction.content">
        <empty/>
      </define>
      <define name="bookrestriction.attributes">
        <ref name="univ-atts"/>
        <optional>
          <attribute name="name"/>
        </optional>
        <optional>
          <attribute name="datatype"/>
        </optional>
        <optional>
          <attribute name="href"/>
        </optional>
        <optional>
          <attribute name="keyref"/>
        </optional>
        <optional>
          <attribute name="format"/>
        </optional>
        <optional>
          <attribute name="type"/>
        </optional>
        <optional>
          <attribute name="scope">
            <choice>
              <value>external</value>
              <value>local</value>
              <value>peer</value>
              <value>-dita-use-conref-target</value>
            </choice>
          </attribute>
        </optional>
        <optional>
          <attribute name="outputclass"/>
        </optional>
        <attribute name="value"/>
      </define>
      <define name="bookrestriction.element">
        <element name="bookrestriction" dita:longName="Book Restriction">
          <a:documentation>The &lt;bookrestriction> element indicates whether the book is classified, or restricted in some way. The value attribute indicates the restrictions; this may be a string
            like "All Rights Reserved," representing the publisher's copyright restrictions. Category: Bookmap elements</a:documentation>
          <ref name="bookrestriction.attlist"/>
          <ref name="bookrestriction.content"/>
        </element>
      </define>
      <define name="bookrestriction.attlist" combine="interleave">
        <ref name="bookrestriction.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Book Title</a:documentation>
      <define name="booktitle.content">
        <optional>
          <ref name="booklibrary"/>
        </optional>
        <ref name="mainbooktitle"/>
        <zeroOrMore>
          <ref name="booktitlealt"/>
        </zeroOrMore>
      </define>
      <define name="booktitle.attributes">
        <ref name="id-atts"/>
        <ref name="localization-atts"/>
        <optional>
          <attribute name="base"/>
        </optional>
        <ref name="base-attribute-extensions"/>
        <optional>
          <attribute name="outputclass"/>
        </optional>
      </define>
      <define name="booktitle.element">
        <element name="booktitle" dita:longName="Book Title">
          <a:documentation>The &lt;booktitle> element contains the title information for a book. , including &lt;booklibrary> data, a &lt;maintitle> and subtitle (&lt;titlealt>) as required. Category:
            Bookmap elements</a:documentation>
          <ref name="booktitle.attlist"/>
          <ref name="booktitle.content"/>
        </element>
      </define>
      <define name="booktitle.attlist" combine="interleave">
        <ref name="booktitle.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Library Title</a:documentation>
      <define name="booklibrary.content">
        <zeroOrMore>
          <choice>
            <text/>
            <ref name="basic.ph.noxref"/>
            <ref name="image"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="booklibrary.attributes">
        <optional>
          <attribute name="keyref"/>
        </optional>
        <ref name="univ-atts"/>
        <optional>
          <attribute name="outputclass"/>
        </optional>
      </define>
      <define name="booklibrary.element">
        <element name="booklibrary" dita:longName="Library Title">
          <a:documentation>The &lt;booklibrary> element contains the library information for a book. Library entries contain information about the series, library, or collection of documents to which
            the book belongs. Category: Bookmap elements</a:documentation>
          <ref name="booklibrary.attlist"/>
          <ref name="booklibrary.content"/>
        </element>
      </define>
      <define name="booklibrary.attlist" combine="interleave">
        <ref name="booklibrary.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Main Book Title</a:documentation>
      <define name="mainbooktitle.content">
        <zeroOrMore>
          <choice>
            <text/>
            <ref name="basic.ph.noxref"/>
            <ref name="image"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="mainbooktitle.attributes">
        <optional>
          <attribute name="keyref"/>
        </optional>
        <ref name="univ-atts"/>
        <optional>
          <attribute name="outputclass"/>
        </optional>
      </define>
      <define name="mainbooktitle.element">
        <element name="mainbooktitle" dita:longName="Main Book Title">
          <a:documentation>The &lt;mainbooktitle> element contains the primary title information for a book. Category: Bookmap elements</a:documentation>
          <ref name="mainbooktitle.attlist"/>
          <ref name="mainbooktitle.content"/>
        </element>
      </define>
      <define name="mainbooktitle.attlist" combine="interleave">
        <ref name="mainbooktitle.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Alternate Book Title</a:documentation>
      <define name="booktitlealt.content">
        <zeroOrMore>
          <choice>
            <text/>
            <ref name="basic.ph.noxref"/>
            <ref name="image"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="booktitlealt.attributes">
        <optional>
          <attribute name="keyref"/>
        </optional>
        <ref name="univ-atts"/>
        <optional>
          <attribute name="outputclass"/>
        </optional>
      </define>
      <define name="booktitlealt.element">
        <element name="booktitlealt" dita:longName="Alternate Book Title">
          <a:documentation>The &lt;booktitlealt> element contains the alternative title, subtitle, or short title for a book. Category: Bookmap elements</a:documentation>
          <ref name="booktitlealt.attlist"/>
          <ref name="booktitlealt.content"/>
        </element>
      </define>
      <define name="booktitlealt.attlist" combine="interleave">
        <ref name="booktitlealt.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Draft Introduction</a:documentation>
      <define name="draftintro.content">
        <optional>
          <ref name="topicmeta"/>
        </optional>
        <zeroOrMore>
          <ref name="topicref"/>
        </zeroOrMore>
      </define>
      <define name="draftintro.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="draftintro.element">
        <element name="draftintro" dita:longName="Draft Introduction">
          <a:documentation>The &lt;draftintro> element references a topic used as an introduction to the draft of this book. Category: Bookmap elements</a:documentation>
          <ref name="draftintro.attlist"/>
          <ref name="draftintro.content"/>
        </element>
      </define>
      <define name="draftintro.attlist" combine="interleave">
        <ref name="draftintro.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Book Abstract</a:documentation>
      <define name="bookabstract.content">
        <empty/>
      </define>
      <define name="bookabstract.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="bookabstract.element">
        <element name="bookabstract" dita:longName="Book Abstract">
          <a:documentation>The &lt;bookabstract> element references a topic used within a bookmap as a brief summary of book content, generally output as part of the book's front matter. It is used to
            help the reader quickly evaluate the book's purpose. Category: Bookmap elements</a:documentation>
          <ref name="bookabstract.attlist"/>
          <ref name="bookabstract.content"/>
        </element>
      </define>
      <define name="bookabstract.attlist" combine="interleave">
        <ref name="bookabstract.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Dedication</a:documentation>
      <define name="dedication.content">
        <empty/>
      </define>
      <define name="dedication.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="dedication.element">
        <element name="dedication" dita:longName="Dedication">
          <a:documentation>The &lt;dedication> element references a topic containing a dedication for the book, such as to a person or group. Category: Bookmap elements</a:documentation>
          <ref name="dedication.attlist"/>
          <ref name="dedication.content"/>
        </element>
      </define>
      <define name="dedication.attlist" combine="interleave">
        <ref name="dedication.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Preface</a:documentation>
      <define name="preface.content">
        <optional>
          <ref name="topicmeta"/>
        </optional>
        <zeroOrMore>
          <ref name="topicref"/>
        </zeroOrMore>
      </define>
      <define name="preface.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="preface.element">
        <element name="preface" dita:longName="Preface">
          <a:documentation>The &lt;preface> element references introductory information about a book, such as the purpose and structure of the document. Category: Bookmap elements</a:documentation>
          <ref name="preface.attlist"/>
          <ref name="preface.content"/>
        </element>
      </define>
      <define name="preface.attlist" combine="interleave">
        <ref name="preface.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Chapter</a:documentation>
      <define name="chapter.content">
        <optional>
          <ref name="topicmeta"/>
        </optional>
        <zeroOrMore>
          <ref name="topicref"/>
        </zeroOrMore>
      </define>
      <define name="chapter.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="chapter.element">
        <element name="chapter" dita:longName="Chapter">
          <a:documentation>The &lt;chapter> element references a topic as a chapter within a book. Category: Bookmap elements</a:documentation>
          <ref name="chapter.attlist"/>
          <ref name="chapter.content"/>
        </element>
      </define>
      <define name="chapter.attlist" combine="interleave">
        <ref name="chapter.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Part</a:documentation>
      <define name="part.content">
        <optional>
          <ref name="topicmeta"/>
        </optional>
        <zeroOrMore>
          <choice>
            <ref name="chapter"/>
            <ref name="topicref"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="part.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="part.element">
        <element name="part" dita:longName="Part">
          <a:documentation>The &lt;part> element references a part topic for the book. A new part is started. Use &lt;part> to divide a document's chapters into logical groupings. For example, in a
            document that contains both guide and reference information, you can define two parts, one containing the guide information and the other containing the reference information. Category:
            Bookmap elements</a:documentation>
          <ref name="part.attlist"/>
          <ref name="part.content"/>
        </element>
      </define>
      <define name="part.attlist" combine="interleave">
        <ref name="part.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Appendix</a:documentation>
      <define name="appendix.content">
        <optional>
          <ref name="topicmeta"/>
        </optional>
        <zeroOrMore>
          <ref name="topicref"/>
        </zeroOrMore>
      </define>
      <define name="appendix.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="appendix.element">
        <element name="appendix" dita:longName="Appendix">
          <a:documentation>The &lt;appendix> element references a topic as a appendix within a book. Category: Bookmap elements</a:documentation>
          <ref name="appendix.attlist"/>
          <ref name="appendix.content"/>
        </element>
      </define>
      <define name="appendix.attlist" combine="interleave">
        <ref name="appendix.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Appendices</a:documentation>
      <define name="appendices.content">
        <optional>
          <ref name="topicmeta"/>
        </optional>
        <zeroOrMore>
          <ref name="appendix"/>
        </zeroOrMore>
      </define>
      <define name="appendices.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="appendices.element">
        <element name="appendices" dita:longName="Appendices">
          <a:documentation>The &lt;appendices> element is an optional wrapper for &lt;appendix> elements within a bookmap.</a:documentation>
          <ref name="appendices.attlist"/>
          <ref name="appendices.content"/>
        </element>
      </define>
      <define name="appendices.attlist" combine="interleave">
        <ref name="appendices.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Notices</a:documentation>
      <define name="notices.content">
        <optional>
          <ref name="topicmeta"/>
        </optional>
        <zeroOrMore>
          <ref name="topicref"/>
        </zeroOrMore>
      </define>
      <define name="notices.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="notices.element">
        <element name="notices" dita:longName="Notices">
          <a:documentation>The &lt;notices> element references special notice information, for example, legal notices about supplementary copyrights and trademarks associated with the book. .
            Category: Bookmap elements</a:documentation>
          <ref name="notices.attlist"/>
          <ref name="notices.content"/>
        </element>
      </define>
      <define name="notices.attlist" combine="interleave">
        <ref name="notices.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Amendments</a:documentation>
      <define name="amendments.content">
        <empty/>
      </define>
      <define name="amendments.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="amendments.element">
        <element name="amendments" dita:longName="Amendments">
          <a:documentation>The &lt;amendments> element references a list of amendments or updates to the book. It indicates to the processing software that the author wants an amendments list
            generated at the particular location. Category: Bookmap elements</a:documentation>
          <ref name="amendments.attlist"/>
          <ref name="amendments.content"/>
        </element>
      </define>
      <define name="amendments.attlist" combine="interleave">
        <ref name="amendments.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Colophon</a:documentation>
      <define name="colophon.content">
        <empty/>
      </define>
      <define name="colophon.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="colophon.element">
        <element name="colophon" dita:longName="Colophon">
          <a:documentation>The &lt;colophon> element references a topic describing how this document was created. In publishing, a colophon describes details of the production of a book. This
            information generally includes the typefaces used, and often the names of their designers; the paper, ink and details of the binding materials and methods may also receive mention. In the
            case of technical books, a colophon may specify the software used to prepare the text and diagrams for publication. Category: Bookmap elements</a:documentation>
          <ref name="colophon.attlist"/>
          <ref name="colophon.content"/>
        </element>
      </define>
      <define name="colophon.attlist" combine="interleave">
        <ref name="colophon.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Book Lists</a:documentation>
      <define name="booklists.content">
        <zeroOrMore>
          <choice>
            <ref name="abbrevlist"/>
            <ref name="bibliolist"/>
            <ref name="booklist"/>
            <ref name="figurelist"/>
            <ref name="glossarylist"/>
            <ref name="indexlist"/>
            <ref name="tablelist"/>
            <ref name="trademarklist"/>
            <ref name="toc"/>
          </choice>
        </zeroOrMore>
      </define>
      <define name="booklists.attributes">
        <optional>
          <attribute name="keyref"/>
        </optional>
        <ref name="topicref-atts"/>
        <ref name="id-atts"/>
        <ref name="select-atts"/>
        <ref name="localization-atts"/>
      </define>
      <define name="booklists.element">
        <element name="booklists" dita:longName="Book Lists">
          <a:documentation>The &lt;booklists> element references lists of various kinds within the book. For example, it can be used within front matter to reference a &lt;toc>, &lt;tablelist>, and
            &lt;figurelist>, or within back matter to reference a &lt;glossarylist>, &lt;indexlist>, and &lt;abbrevlist>. It indicates to the processing software that the author wants the lists
            generated at the &lt;booklists> location. Category: Bookmap elements</a:documentation>
          <ref name="booklists.attlist"/>
          <ref name="booklists.content"/>
        </element>
      </define>
      <define name="booklists.attlist" combine="interleave">
        <ref name="booklists.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Table of Contents</a:documentation>
      <define name="toc.content">
        <empty/>
      </define>
      <define name="toc.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="toc.element">
        <element name="toc" dita:longName="Table of Contents">
          <a:documentation>The &lt;toc> element references the table of contents within the book. It indicates to the processing software that the author wants a table of contents generated at the
            particular location. Category: Bookmap elements</a:documentation>
          <ref name="toc.attlist"/>
          <ref name="toc.content"/>
        </element>
      </define>
      <define name="toc.attlist" combine="interleave">
        <ref name="toc.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Figure List</a:documentation>
      <define name="figurelist.content">
        <empty/>
      </define>
      <define name="figurelist.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="figurelist.element">
        <element name="figurelist" dita:longName="Figure List">
          <a:documentation>The &lt;figurelist> element references a list of figures in the book. It indicates to the processing software that the author wants a list of figures generated at the
            particular location. Category: Bookmap elements</a:documentation>
          <ref name="figurelist.attlist"/>
          <ref name="figurelist.content"/>
        </element>
      </define>
      <define name="figurelist.attlist" combine="interleave">
        <ref name="figurelist.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Table List</a:documentation>
      <define name="tablelist.content">
        <empty/>
      </define>
      <define name="tablelist.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="tablelist.element">
        <element name="tablelist" dita:longName="Table List">
          <a:documentation>The &lt;tablelist> element references a list of tables within the book. It indicates to the processing software that the author wants a list of tables generated at the
            particular location. Category: Bookmap elements</a:documentation>
          <ref name="tablelist.attlist"/>
          <ref name="tablelist.content"/>
        </element>
      </define>
      <define name="tablelist.attlist" combine="interleave">
        <ref name="tablelist.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Abbreviation List</a:documentation>
      <define name="abbrevlist.content">
        <empty/>
      </define>
      <define name="abbrevlist.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="abbrevlist.element">
        <element name="abbrevlist" dita:longName="Abbreviation List">
          <a:documentation>The &lt;abbrevlist> element references a list of abbreviations. It indicates to the processing software that the author wants an abbreviation list generated at the
            particular location. Category: Bookmap elements</a:documentation>
          <ref name="abbrevlist.attlist"/>
          <ref name="abbrevlist.content"/>
        </element>
      </define>
      <define name="abbrevlist.attlist" combine="interleave">
        <ref name="abbrevlist.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Trademark List</a:documentation>
      <define name="trademarklist.content">
        <empty/>
      </define>
      <define name="trademarklist.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="trademarklist.element">
        <element name="trademarklist" dita:longName="Trademark List">
          <a:documentation>The &lt;trademarklist> element references a list of trademarks within the book. It indicates to the processing software that the author wants a list of trademarks generated
            at the particular location. Category: Bookmap elements</a:documentation>
          <ref name="trademarklist.attlist"/>
          <ref name="trademarklist.content"/>
        </element>
      </define>
      <define name="trademarklist.attlist" combine="interleave">
        <ref name="trademarklist.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Bibliography List</a:documentation>
      <define name="bibliolist.content">
        <empty/>
      </define>
      <define name="bibliolist.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="bibliolist.element">
        <element name="bibliolist" dita:longName="Bibliography List">
          <a:documentation>The &lt;bibliolist> element references a list of bibliographic entries within the book. It indicates to the processing software that the author wants a bibliography,
            containing links to related books, articles, published papers, or other types of material, generated at the particular location. Category: Bookmap elements</a:documentation>
          <ref name="bibliolist.attlist"/>
          <ref name="bibliolist.content"/>
        </element>
      </define>
      <define name="bibliolist.attlist" combine="interleave">
        <ref name="bibliolist.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Glossary List</a:documentation>
      <define name="glossarylist.content">
        <optional>
          <ref name="topicmeta"/>
        </optional>
        <zeroOrMore>
          <ref name="topicref"/>
        </zeroOrMore>
      </define>
      <define name="glossarylist.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="glossarylist.element">
        <element name="glossarylist" dita:longName="Glossary List">
          <a:documentation>The &lt;glossarylist> element references a list of glossary entries within the book. It indicates to the processing software that the author wants a glossary list generated
            at the particular location. Category: Bookmap elements</a:documentation>
          <ref name="glossarylist.attlist"/>
          <ref name="glossarylist.content"/>
        </element>
      </define>
      <define name="glossarylist.attlist" combine="interleave">
        <ref name="glossarylist.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Index List</a:documentation>
      <define name="indexlist.content">
        <empty/>
      </define>
      <define name="indexlist.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="indexlist.element">
        <element name="indexlist" dita:longName="Index List">
          <a:documentation>The &lt;indexlist> element lists the index entries in the book. It indicates to the processing software that the author wants an index generated at the particular location.
            Category: Bookmap elements</a:documentation>
          <ref name="indexlist.attlist"/>
          <ref name="indexlist.content"/>
        </element>
      </define>
      <define name="indexlist.attlist" combine="interleave">
        <ref name="indexlist.attributes"/>
      </define>

    </div>
    <div>
      <a:documentation>LONG NAME: Book List</a:documentation>
      <define name="booklist.content">
        <empty/>
      </define>
      <define name="booklist.attributes">
        <ref name="chapter-atts"/>
      </define>
      <define name="booklist.element">
        <element name="booklist" dita:longName="Book List">
          <a:documentation>The &lt;booklist> element is a general purpose element, designed for use in specializations, that references a list of particular types of topics within the book. It
            indicates to the processing software that the author wants that list of topics generated at the particular location. For example, it could be used in a specialization to reference the
            location of a list of program listings or of authors of topics. Category: Bookmap elements</a:documentation>
          <ref name="booklist.attlist"/>
          <ref name="booklist.content"/>
        </element>
      </define>
      <define name="booklist.attlist" combine="interleave">
        <ref name="booklist.attributes"/>
      </define>
    </div>
  </div>
  <div>
    <a:documentation>SPECIALIZATION ATTRIBUTES</a:documentation>

    <define name="bookmap.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/map bookmap/bookmap "/>
      </optional>
    </define>
    <define name="abbrevlist.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/abbrevlist "/>
      </optional>
    </define>
    <define name="amendments.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/amendments "/>
      </optional>
    </define>
    <define name="appendices.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/appendices "/>
      </optional>
    </define>
    <define name="appendix.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/appendix "/>
      </optional>
    </define>
    <define name="approved.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/approved "/>
      </optional>
    </define>
    <define name="backmatter.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/backmatter "/>
      </optional>
    </define>
    <define name="bibliolist.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/bibliolist "/>
      </optional>
    </define>
    <define name="bookabstract.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/bookabstract "/>
      </optional>
    </define>
    <define name="bookchangehistory.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/bookchangehistory "/>
      </optional>
    </define>
    <define name="bookevent.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/bookevent "/>
      </optional>
    </define>
    <define name="bookeventtype.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/bookeventtype "/>
      </optional>
    </define>
    <define name="bookid.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/bookid "/>
      </optional>
    </define>
    <define name="booklibrary.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/ph bookmap/booklibrary "/>
      </optional>
    </define>
    <define name="booklist.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/booklist "/>
      </optional>
    </define>
    <define name="booklists.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/booklists "/>
      </optional>
    </define>
    <define name="bookmeta.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicmeta bookmap/bookmeta "/>
      </optional>
    </define>
    <define name="booknumber.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/booknumber "/>
      </optional>
    </define>
    <define name="bookowner.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/bookowner "/>
      </optional>
    </define>
    <define name="bookpartno.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/bookpartno "/>
      </optional>
    </define>
    <define name="bookrestriction.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/bookrestriction "/>
      </optional>
    </define>
    <define name="bookrights.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/bookrights "/>
      </optional>
    </define>
    <define name="booktitle.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/title bookmap/booktitle "/>
      </optional>
    </define>
    <define name="booktitlealt.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/ph bookmap/booktitlealt "/>
      </optional>
    </define>
    <define name="chapter.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/chapter "/>
      </optional>
    </define>
    <define name="colophon.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/colophon "/>
      </optional>
    </define>
    <define name="completed.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/ph bookmap/completed "/>
      </optional>
    </define>
    <define name="copyrfirst.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/copyrfirst "/>
      </optional>
    </define>
    <define name="copyrlast.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/copyrlast "/>
      </optional>
    </define>
    <define name="day.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/ph bookmap/day "/>
      </optional>
    </define>
    <define name="dedication.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/dedication "/>
      </optional>
    </define>
    <define name="draftintro.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/draftintro "/>
      </optional>
    </define>
    <define name="edited.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/edited "/>
      </optional>
    </define>
    <define name="edition.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/edition "/>
      </optional>
    </define>
    <define name="figurelist.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/figurelist "/>
      </optional>
    </define>
    <define name="frontmatter.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/frontmatter "/>
      </optional>
    </define>
    <define name="glossarylist.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/glossarylist "/>
      </optional>
    </define>
    <define name="indexlist.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/indexlist "/>
      </optional>
    </define>
    <define name="isbn.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/isbn "/>
      </optional>
    </define>
    <define name="mainbooktitle.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/ph bookmap/mainbooktitle "/>
      </optional>
    </define>
    <define name="maintainer.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/maintainer "/>
      </optional>
    </define>
    <define name="month.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/ph bookmap/month "/>
      </optional>
    </define>
    <define name="notices.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/notices "/>
      </optional>
    </define>
    <define name="organization.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/organization "/>
      </optional>
    </define>
    <define name="part.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/part "/>
      </optional>
    </define>
    <define name="person.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/person "/>
      </optional>
    </define>
    <define name="preface.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/preface "/>
      </optional>
    </define>
    <define name="printlocation.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/printlocation "/>
      </optional>
    </define>
    <define name="published.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/published "/>
      </optional>
    </define>
    <define name="publisherinformation.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/publisher bookmap/publisherinformation "/>
      </optional>
    </define>
    <define name="publishtype.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/publishtype "/>
      </optional>
    </define>
    <define name="reviewed.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/reviewed "/>
      </optional>
    </define>
    <define name="revisionid.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/ph bookmap/revisionid "/>
      </optional>
    </define>
    <define name="started.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/ph bookmap/started "/>
      </optional>
    </define>
    <define name="summary.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/ph bookmap/summary "/>
      </optional>
    </define>
    <define name="tablelist.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/tablelist "/>
      </optional>
    </define>
    <define name="tested.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/tested "/>
      </optional>
    </define>
    <define name="toc.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/toc "/>
      </optional>
    </define>
    <define name="trademarklist.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- map/topicref bookmap/trademarklist "/>
      </optional>
    </define>
    <define name="volume.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/data bookmap/volume "/>
      </optional>
    </define>
    <define name="year.attlist" combine="interleave">
      <ref name="global-atts"/>
      <optional>
        <attribute name="class" a:defaultValue="- topic/ph bookmap/year "/>
      </optional>
    </define>
  </div>
</grammar>
