<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://relaxng.org/ns/structure/1.0"
                xmlns:rng="http://relaxng.org/ns/structure/1.0"
                xmlns:s="http://purl.oclc.org/dsdl/schematron"
                xmlns:db="http://docbook.org/ns/docbook"
                xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:html="http://www.w3.org/1999/xhtml"
                xmlns:ctrl="http://nwalsh.com/xmlns/schema-control/"
                xmlns:mml="http://www.w3.org/1998/Math/MathML"
                xmlns:svg="http://www.w3.org/2000/svg"
                version="1.0">

  <xsl:strip-space elements="*"/>

  <xsl:output method="xml" encoding="UTF-8" indent="yes"/>

  <xsl:template match="/">
    <xsl:comment>
=======================================================================
Automatically generated using CHANGES_MADE_BY_XMLMIND/edit_rng.xslt. 
See CHANGES_MADE_BY_XMLMIND.txt.
=======================================================================
</xsl:comment>
    <xsl:apply-templates/>
  </xsl:template>

  <!-- =======================================================================
       Allow any attribute from the DocBook transclusion namespace.
       This is needed as XXE does not process transclusions while 
       editing a document. Transclusion processing is performed during
       the document conversion process.
  ======================================================================== -->

  <xsl:template match="rng:define[@name = 'db.rdfalite.attributes']">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>

    <define name="db.transclusion.attributes">
      <zeroOrMore>
        <attribute>
          <nsName ns="http://docbook.org/ns/transclusion"/>
        </attribute>
      </zeroOrMore>
    </define>
  </xsl:template>

  <xsl:template match="rng:define[@name = 'db.common.base.attributes']//rng:ref[@name = 'db.rdfalite.attributes']">
    <ref name="db.rdfalite.attributes"/>
    <ref name="db.transclusion.attributes"/>
  </xsl:template>

  <!-- =======================================================================
       Do not allow limited emphasis (db._emphasis) in elements 
       (e.g. para which contains db.all.inlines) where general emphasis 
       (db.emphasis) is also allowed. Why? Because this is redundant, 
       db._emphasis being a restriction of db.emphasis.

       Same for foreignphrase, phrase, quote, firstterm, glossterm.
  ======================================================================== -->

  <xsl:template match="rng:define[@name = 'db.ubiq.inlines']">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>

    <define name="db.ubiq.publishing.inlines">
       <choice>
          <choice>
             <ref name="db.inlinemediaobject"/>
             <ref name="db.remark"/>
             <ref name="db.link.inlines"/>
             <ref name="db.alt"/>
             <ref name="db.trademark"/>
             <ref name="db.abbrev"/>
             <ref name="db.acronym"/>
             <ref name="db.date"/>
             <ref name="db.emphasis"/>
             <ref name="db.footnote"/>
             <ref name="db.footnoteref"/>
             <ref name="db.foreignphrase"/>
             <ref name="db.phrase"/>
             <ref name="db.quote"/>
             <ref name="db.subscript"/>
             <ref name="db.superscript"/>
             <ref name="db.wordasword"/>
          </choice>
          <ref name="db.annotation"/>
          <choice>
             <ref name="db.firstterm"/>
             <ref name="db.glossterm"/>
          </choice>
          <ref name="db.indexterm"/>
          <ref name="db.coref"/>
       </choice>
    </define>
  </xsl:template>

  <xsl:template match="rng:define[@name = 'db.all.inlines']//rng:ref[@name = 'db.ubiq.inlines']">
    <ref name="db.ubiq.publishing.inlines"/>
  </xsl:template>

  <xsl:template match="rng:define[@name = 'db.glossary.inlines']//rng:ref[@name = 'db._firstterm']"/>

  <xsl:template match="rng:define[@name = 'db.glossary.inlines']//rng:ref[@name = 'db._glossterm']"/>

  <!-- =======================================================================
      XMLmind XML Editor is very strict when validating 
      attribute default values:
      -
      ERROR: assembly.rng:15881:32:Document Type Error: 
      element "{http://docbook.org/ns/docbook}group": 
      there are 3 elements named "{http://docbook.org/ns/docbook}group"; 
      all of them must have an attribute named "rep" 
      with default value "norepeat"
      -

      Hence remove all from "rep" attributes. That is,

      <attribute name="rep" a:defaultValue="norepeat">

      becomes:

      <attribute name="rep">
  ======================================================================== -->

  <xsl:template match="rng:attribute[@name = 'rep']">
    <xsl:copy>
      <xsl:apply-templates select="@*[local-name() != 'defaultValue']|node()"/>
    </xsl:copy>
  </xsl:template>

  <!-- =======================================================================
       Strip inline Schematron rules. We'll use the external .sch file.
  ======================================================================== -->

  <xsl:template match="s:*"/>

  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>
