<?xml version="1.0" encoding="UTF-8"?>

<!-- =====================================================================
     Schematron of the specification of an Ebook.

     Author: Hussein Shafie

     Copyright (c) 2017-2019 XMLmind Software. All rights reserved.

     This file is part of the XMLmind Ebook Compiler project.
     For conditions of distribution and use, see the accompanying
     LEGAL.txt file.
     ===================================================================== -->

<sch:schema queryBinding="XSLT"
            xmlns:sch="http://purl.oclc.org/dsdl/schematron"
            xmlns:ebk="http://www.xmlmind.com/schema/ebook">
  <sch:pattern>
    <sch:rule context="*[@samepage=&quot;true&quot;]">
      <sch:let name="preceding-any-section"
               value="(preceding-sibling::*[self::ebk:section or self::ebk:chapter or self::ebk:appendix or self::ebk:part or self::ebk:appendices or self::ebk:toc or self::ebk:index or self::ebk:lot or self::ebk:lof or self::ebk:loe or self::ebk:lox or self::ebk:frontmatter or self::ebk:backmatter])[last()]"/>

      <sch:assert
      test="not($preceding-any-section) or ($preceding-any-section/@samepage = &quot;true&quot;)">Element
      &lt;<sch:value-of select="local-name(.)"/>&gt; having attribute
      samepage="true" may not be preceded by element &lt;<sch:value-of
      select="local-name($preceding-any-section)"/>&gt; having attribute
      samepage="false".</sch:assert>
    </sch:rule>
  </sch:pattern>
</sch:schema>
