<?xml version="1.0" encoding="UTF-8"?>
<!--
| Copyright (c) 2017 XMLmind Software. All rights reserved.
|
| Author: Hussein Shafie
|
| This file is part of the XMLmind Ebook Compiler project.
| For conditions of distribution and use, see the accompanying LEGAL.txt file.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:u="http://www.xmlmind.com/namespace/ebookc"
                xmlns:URI="java:com.xmlmind.ebookc.xslt.URI"
                xpath-default-namespace="http://www.w3.org/1999/xhtml"
                exclude-result-prefixes="u URI"
                version="2.0">

  <!-- See Best practices in ePub cover images:
       http://blog.threepress.org/2009/11/20/
           best-practices-in-epub-cover-images/ -->

  <xsl:output name="coverOutputFormat"
              method="xhtml" encoding="UTF-8" indent="no"
              omit-xml-declaration="yes" include-content-type="no"/>

  <xsl:template name="generateCover">
    <xsl:param name="basename" select="''"/>

    <xsl:call-template name="copyCoverImage"/>

    <xsl:result-document href="{resolve-uri($basename, base-uri())}"
                         format="coverOutputFormat">
      <xsl:text
        disable-output-escaping="yes">&lt;!DOCTYPE html&gt;&#xA;</xsl:text>

      <html>
        <xsl:copy-of select="@lang"/>

        <head>
          <meta charset="UTF-8"/>
          <title><xsl:value-of select="normalize-space(./head/title)"/></title>
          <style type="text/css">img { max-width: 100%; }</style>
        </head>

        <body>
          <div id="cover-image">
            <img src="{$coverImageName}" alt="{$coverImageName}" />
          </div>
        </body>
      </html>
    </xsl:result-document>
  </xsl:template>

  <xsl:template name="copyCoverImage">
    <xsl:variable name="srcURI" 
                  select="resolve-uri($cover-image, URI:userDirectory())" />
    <xsl:variable name="dstURI" 
                  select="resolve-uri($coverImageName, base-uri())" />

    <!-- A simple way to ensure that URI:copyFile is actually invoked. -->
    <xsl:message select="concat('&quot;', $srcURI, '&quot;: ', 
                         URI:copyFile($srcURI, $dstURI), 'bytes')" />
  </xsl:template>

</xsl:stylesheet>
