<?xml version="1.0" encoding="UTF-8"?>
<!--
| Copyright (c) 2017 XMLmind Software. All rights reserved.
|
| Author: Hussein Shafie
|
| This file is part of the XMLmind Ebook Compiler project.
| For conditions of distribution and use, see the accompanying LEGAL.txt file.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xpath-default-namespace="http://www.w3.org/1999/xhtml"
                version="2.0">

  <xsl:import href="../common/commonUtil.xsl"/>
  <xsl:import href="params.xsl"/>
  <xsl:import href="cover.xsl"/>
  <xsl:import href="content.xsl"/>
  <xsl:import href="toc.xsl"/>
  <xsl:import href="tocNCX.xsl"/>

  <xsl:template match="html">
    <xsl:if test="$coverImageName ne ''">
      <xsl:choose>
        <xsl:when test="$epub2-compatible eq 'yes'">
          <xsl:call-template name="generateCover">
            <!-- This template invokes copyCoverImage. -->
            <xsl:with-param name="basename" select="'__cover__.xhtml'"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <!-- With EPUB3, an XHTML page containing the cover image is not
               useful. -->
          <xsl:call-template name="copyCoverImage"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:if>

    <xsl:call-template name="generateContent"/>
    <xsl:call-template name="generateTOC"/>
    <xsl:if test="$epub2-compatible eq 'yes'">
      <xsl:call-template name="generateTOC_NCX"/>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>

