<?xml version="1.0" encoding="UTF-8"?>
<!--
| Copyright (c) 2017 XMLmind Software. All rights reserved.
|
| Author: Hussein Shafie
|
| This file is part of the XMLmind Ebook Compiler project.
| For conditions of distribution and use, see the accompanying LEGAL.txt file.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:u="http://www.xmlmind.com/namespace/ebookc"
                xmlns:URI="java:com.xmlmind.ebookc.xslt.URI"
                exclude-result-prefixes="u URI"
                version="2.0">

  <xsl:param name="epub-identifier" select="''"/>
  <xsl:param name="epubIdentifier" select="if ($epub-identifier ne '')
                                            then $epub-identifier
                                            else URI:uuidURI()"/>

  <xsl:param name="epub2-compatible" select="'yes'"/>

  <!-- URI of a PNG or JPEG image file. The size of this image must be at most
       1000x1000px.
       If the URI is relative, it is relative to the current 
       working directory. -->
  <xsl:param name="cover-image" select="''" />
  <xsl:param name="coverImageName" 
             select="if ($cover-image ne '') 
                     then concat('__cover__.', u:extension($cover-image))
                     else ''" />

  <xsl:param name="omit-toc-root" select="'yes'"/>

</xsl:stylesheet>
