<?xml version="1.0" encoding="UTF-8"?>
<!--
| Copyright (c) 2017 XMLmind Software. All rights reserved.
|
| Author: Hussein Shafie
|
| This file is part of the XMLmind Ebook Compiler project.
| For conditions of distribution and use, see the accompanying LEGAL.txt file.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:whc="http://www.xmlmind.com/whc/schema/whc"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:u="http://www.xmlmind.com/namespace/ebookc"
                xpath-default-namespace="http://www.w3.org/1999/xhtml"
                exclude-result-prefixes="u"
                version="2.0">

  <xsl:output name="xmlOutputFormat" method="xml" encoding="UTF-8" indent="no"/>

  <xsl:template name="generateTOC">
    <xsl:result-document href="{resolve-uri($whc-toc-basename, base-uri())}"
                         format="xmlOutputFormat">

      <xsl:variable name="entries" 
                    select="./body/ul[u:has(@class, 'role-booklist-entries')]"/>
      <whc:toc>
        <xsl:choose>
          <xsl:when test="$omit-toc-root eq 'yes' and 
                       count($entries/*) eq 1 and
                       count($entries/*/ul[u:has(@class, 'role-booklist-entries')]) eq 1">
            <xsl:apply-templates 
              select="$entries/*/ul[u:has(@class, 'role-booklist-entries')]" 
              mode="TOC"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:apply-templates select="$entries" mode="TOC"/>
          </xsl:otherwise>
        </xsl:choose>
      </whc:toc>

    </xsl:result-document>
  </xsl:template>

  <xsl:template match="ul[u:has(@class, 'role-booklist-entries')]" mode="TOC">
    <xsl:apply-templates mode="TOC"/>
  </xsl:template>

  <xsl:template match="li[u:has(@class, 'role-booklist-entry')]" mode="TOC">
    <whc:entry>
      <xsl:apply-templates mode="TOC"/>
    </whc:entry>
  </xsl:template>

  <xsl:template match="li[u:has(@class,'role-booklist-entry')]/
                       a[u:matches(@class, 'role-', '-ref')]"
                mode="TOC">
    <xsl:copy-of select="@href"/>

    <whc:title>
      <span class="{string(@class)}">
        <xsl:copy-of select="./node()"/>
      </span>
    </whc:title>
  </xsl:template>

</xsl:stylesheet>
