<?xml version="1.0" encoding="UTF-8"?>
<!--
| Copyright (c) 2017 XMLmind Software. All rights reserved.
|
| Author: Hussein Shafie
|
| This file is part of the XMLmind Ebook Compiler project.
| For conditions of distribution and use, see the accompanying LEGAL.txt file.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xpath-default-namespace="http://www.w3.org/1999/xhtml"
                version="2.0">

  <xsl:import href="../common/commonUtil.xsl"/>
  <xsl:import href="params.xsl"/>
  <xsl:import href="toc.xsl"/>
  <xsl:import href="index.xsl"/>

  <xsl:template match="html">
    <xsl:call-template name="generateTOC"/>

    <xsl:variable name="indexHref"
                  select="/html/head/link[@rel eq 'index']/@href"/>
    <xsl:if test="exists($indexHref)">
      <xsl:variable name="indexRoot"
                    select="doc(resolve-uri($indexHref, base-uri()))/html"/>

      <xsl:for-each select="$indexRoot">
        <xsl:call-template name="generateIndex"/>
      </xsl:for-each>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>
